Mac Pro (Nehalem) and Leopard ??

Discussion in 'Mac Pro' started by JFreak, Oct 5, 2009.

  1. JFreak macrumors 68040

    JFreak

    Joined:
    Jul 11, 2003
    Location:
    Tampere, Finland
    #1
    Is it possible to install Leopard into a currently selling Nehalem Quad Mac Pro that ships with Snow Leopard preinstalled?

    I have the retail Leopard media and a MacBook Pro, so I thought of booting the MP into a FireWire target mode and then installing Leopard into its hard drive using my MBP, and after first boot updating the Leopard to latest version.

    Will this Mac Pro boot after the procedure, does anyone know?

    (I'm sure I cannot install Leopard straight away, because 10.5.0 surely does not have the drivers that Nehalem hardware requires. But does the 10.5.8 have them or is it mandatory to perform the first install using System Restore Disks...?)
     
  2. Thessman macrumors regular

    Joined:
    Dec 8, 2005
    Location:
    GR
    #2
    It will work. It definitely works with 10.5.6 , maybe even earlier.
     
  3. JFreak thread starter macrumors 68040

    JFreak

    Joined:
    Jul 11, 2003
    Location:
    Tampere, Finland
    #3
    Great to hear!

    Now what would be the earliest Leopard version that works with Nehalem Mac Pro, is there such a retail disc ever made that I would be able to use without this MBP trick?
     
  4. Cynicalone macrumors 68040

    Cynicalone

    Joined:
    Jul 9, 2008
    Location:
    Okie land
    #4
    My 09 Mac Pro shipped with 10.5.6 installed.

    You might be missing a few drivers with the Retail DVD, but I would think it would boot. Then you can run software update and be good to go.
     
  5. JFreak thread starter macrumors 68040

    JFreak

    Joined:
    Jul 11, 2003
    Location:
    Tampere, Finland
  6. luisgiraldo macrumors newbie

    Joined:
    Oct 10, 2009
    #6
    JFreak,

    Were you successful with this install of Leopard on a current Mac Pro?

    Regards,

    Luis
     
  7. enigmak macrumors newbie

    Joined:
    Nov 10, 2009
    #7
    haven't gotten this to work yet

    just bought a late 2009 Mac Pro that shipped with Snow Leopard, 2 gray installation discs.

    i could not get the machine to boot from a retail Leopard disk [10.5.6].
    could not get it to boot from an earlier OEM version of Leopard that was sent with my old MacPro3,1 [obviously].

    i did boot the MP into Target disc mode, hooked it to another MacPro [again, an older model] and installed Leopard from there. also did not work.

    it seems the machine ID is getting in the way. i'm thinking its a driver / USB issue because as soon as the machine tries to read from the DVD, the USB peripherals go dead [keyboard and mouse].

    open to any and all suggestions.... JFreak, how'd it work out?
     
  8. feaker macrumors newbie

    Joined:
    Nov 11, 2009
    #8
    Mac PRo Update

    Did you update to at least 10.5.8? I need get this working too.
     
  9. enigmak macrumors newbie

    Joined:
    Nov 10, 2009
    #9
    i should note, we're talking about the Late 2009 Mac Pros... identified as MacPro4,1 in System Profiler.
     
  10. Cynicalone macrumors 68040

    Cynicalone

    Joined:
    Jul 9, 2008
    Location:
    Okie land
    #10
    What is the newest retail version of Leopard? 10.5.8?

    I know when I received my 09 Mac Pro in early May, it had a custom build number of 10.5.6. Only because it contained drivers for the ATI 4870. But if you have 10.5.7 or later you should have all the drivers you need to get an 09 Mac Pro up and running.

    EDIT: Just went and checked the Apple store they seem to have stopped carry Leopard already. :-/
     

Share This Page